$(function(){
	$(".top_list li").on('hover',function(){
		$(this).siblings("li").removeClass("selected").end().addClass("selected");
	});
	$(".table_d tr").on('hover', function(){
		$(this).addClass("hover");
	},function(){
		$(this).removeClass("hover");
	});
	$(".tab_n li").click(function(){
		var num = $(this).index();
		$(this).parents(".title_h").siblings(".soft_list").eq(num).siblings(".soft_list").hide().end().show();
		$(this).siblings("li").removeClass("selected").end().addClass("selected");
	});
	$("#table_height").jscroll({W:"12px",Btn:{btn:false}
					,BgUrl:"url(images/s_bg2.png)"
					,Bg:"right 0 repeat-y"
					,Bar:{Bd:{Out:"#aebbc5",Hover:"#aebbc5"}
						 ,Bg:{Out:"-45px 0 repeat-y",Hover:"-58px 0 repeat-y",Focus:"-71px 0 repeat-y"}}
					
					,Fn:function(){}
	});
	$("#div_height").jscroll({W:"12px",Btn:{btn:false}
					,BgUrl:"url(images/s_bg2.png)"
					,Bg:"right 0 repeat-y"
					,Bar:{Bd:{Out:"#aebbc5",Hover:"#aebbc5"}
						 ,Bg:{Out:"-45px 0 repeat-y",Hover:"-58px 0 repeat-y",Focus:"-71px 0 repeat-y"}}
					
					,Fn:function(){}
	});
});
function unitConver(limit){  
    if(!limit) {
        return '0 Bytes';
    }
    var sizeNames = [' KB', ' MB', ' GB', ' TB', ' PB', ' EB', ' ZB', ' YB'];
    var i = Math.floor(Math.log(limit/1024)/Math.log(1024));
    var p = (i >= 1) ? 2 : 0;
    return ((limit/1024.0)/Math.pow(1024, Math.floor(i))).toFixed(p) + sizeNames[i];
}  
function long2Date(dateTime){
	var date = [];
	if(!!dateTime){
		var d = new Date(dateTime);
		date.push(d.getFullYear());
		date.push("-");
		var m = d.getMonth()+1;
		if(m < 10){
			m = "0"+m;
		}
		date.push(m);
		date.push("-");
		var dd = d.getDate();
		if(dd < 10){
			dd = "0" + dd;
		}
		date.push(dd);
	}
	return date.join("");
}
function spanTime(dateTime){
	var str;
	if(!!dateTime){
		var today = new Date();
		var n = (today - dateTime)/1000/60/60/24;
		if(n >= 3*30){
			str = "三个月前";
		}else if(n >= 2*30){
			str = "两个月前";
		}else if(n >= 2*7){
			str = "两周前";
		}else if(n >= 7){
			str = "一周前";
		}else if(n > 1){
			str = "一天前";
		}else {
			str = "今天";
		}
	}else{
		str = "未知";
	}
	return str;
}
function textCut(ostr,rnum,escape){
	if(!!!ostr){
		return "";
    }else{
        ostr = escapeWhite(ostr);
    }

	var num=0;
	var nstr = "";
	for(var index = 0; index < ostr.length; index ++){
		var splitstr = 	ostr.charAt(index);
		if(/[\u3400-\u9FFF]/.test(splitstr)){
			num += 2;
		}else{
			num += 1;
		}
		if(num > rnum){
			nstr += "...";
			break;
		}
		nstr += splitstr;
	}
	if(!!escape){
		nstr = nstr.replace(/&/g,'&amp;').replace(/>/g,'&gt;').replace(/</g,'&lt;').replace(/"/g,'&#x22;').replace(/'/g,'&#x27;');
	}
	return '<apan title="'+ostr+'">'+nstr+'</span>';
}

function escapeWhite(ostr){
    if(!!ostr)
    {
        ostr = ostr.replace(/&nbsp;/g,' ');
    }
    return ostr;
}
function escapeII(ostr){
	if(!!ostr)
	{
		ostr = ostr.replace(/&/g,'&amp;').replace(/>/g,'&gt;').replace(/</g,'&lt;').replace(/"/g,'&#x22;').replace(/'/g,'&#x27;');
	}
	return ostr;
}

(function($) {
    // the code of this function is from
    // http://lucassmith.name/pub/typeof.html
    $.type = function(o) {
        var _toS = Object.prototype.toString;
        var _types = {
            'undefined': 'undefined',
            'number': 'number',
            'boolean': 'boolean',
            'string': 'string',
            '[object Function]': 'function',
            '[object RegExp]': 'regexp',
            '[object Array]': 'array',
            '[object Date]': 'date',
            '[object Error]': 'error'
        };
        return _types[typeof o] || _types[_toS.call(o)] || (o ? 'object' : 'null');
    };
    // the code of these two functions is from mootools
    // http://mootools.net
    var $specialChars = { '\b': '\\b', '\t': '\\t', '\n': '\\n', '\f': '\\f', '\r': '\\r', '"': '\\"', '\\': '\\\\' };
    var $replaceChars = function(chr) {
        return $specialChars[chr] || '\\u00' + Math.floor(chr.charCodeAt() / 16).toString(16) + (chr.charCodeAt() % 16).toString(16);
    };
    $.toJSON = function(o) {
        var s = [];
        switch ($.type(o)) {
            case 'undefined':
                return 'undefined';
                break;
            case 'null':
                return 'null';
                break;
            case 'number':
            case 'boolean':
            case 'date':
            case 'function':
                return o.toString();
                break;
            case 'string':
                return '"' + o.replace(/[\x00-\x1f\\"]/g, $replaceChars) + '"';
                break;
            case 'array':
                for (var i = 0, l = o.length; i < l; i++) {
                    s.push($.toJSON(o[i]));
                }
                return '[' + s.join(',') + ']';
                break;
            case 'error':
            case 'object':
                for (var p in o) {
                    s.push('"'+p + '":' + $.toJSON(o[p]));
                }
                return '{' + s.join(',') + '}';
                break;
            default:
                return '';
                break;
        }
    };
    $.evalJSON = function(s) {
        if ($.type(s) != 'string' || !s.length) return null;
        return eval('(' + s + ')');
    };
})(jQuery);
